nxt

## Class DigitalGoodsStore.Purchase

- java.lang.Object
- - nxt.DigitalGoodsStore.Purchase

- Enclosing class:
    DigitalGoodsStore

      public static final class DigitalGoodsStore.Purchase
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DbIterator<DigitalGoodsStore.Purchase>` | `getAllPurchases(int from, int to)`
    `long` | `getBuyerId()`
    `static int` | `getBuyerPurchaseCount(long buyerId, boolean withPublicFeedbacksOnly, boolean completedOnly)`
    `static DbIterator<DigitalGoodsStore.Purchase>` | `getBuyerPurchases(long buyerId, boolean withPublicFeedbacksOnly, boolean completedOnly, int from, int to)`
    `static int` | `getCount()`
    `static int` | `getCount(boolean withPublicFeedbacksOnly, boolean completedOnly)`
    `int` | `getDeliveryDeadlineTimestamp()`
    `long` | `getDiscountNQT()`
    `EncryptedData` | `getEncryptedGoods()`
    `static DbIterator<DigitalGoodsStore.Purchase>` | `getExpiredSellerPurchases(long sellerId, int from, int to)`
    `java.util.List<EncryptedData>` | `getFeedbackNotes()`
    `long` | `getGoodsId()`
    `static int` | `getGoodsPurchaseCount(long goodsId, boolean withPublicFeedbacksOnly, boolean completedOnly)`
    `static DbIterator<DigitalGoodsStore.Purchase>` | `getGoodsPurchases(long goodsId, long buyerId, boolean withPublicFeedbacksOnly, boolean completedOnly, int from, int to)`
    `long` | `getId()`
    `EncryptedData` | `getNote()`
    `static DbIterator<DigitalGoodsStore.Purchase>` | `getPendingSellerPurchases(long sellerId, int from, int to)`
    `long` | `getPriceNQT()`
    `java.util.List<java.lang.String>` | `getPublicFeedbacks()`
    `static DigitalGoodsStore.Purchase` | `getPurchase(long purchaseId)`
    `static DbIterator<DigitalGoodsStore.Purchase>` | `getPurchases(boolean withPublicFeedbacksOnly, boolean completedOnly, int from, int to)`
    `int` | `getQuantity()`
    `EncryptedData` | `getRefundNote()`
    `long` | `getRefundNQT()`
    `static int` | `getSellerBuyerPurchaseCount(long sellerId, long buyerId, boolean withPublicFeedbacksOnly, boolean completedOnly)`
    `static DbIterator<DigitalGoodsStore.Purchase>` | `getSellerBuyerPurchases(long sellerId, long buyerId, boolean withPublicFeedbacksOnly, boolean completedOnly, int from, int to)`
    `long` | `getSellerId()`
    `static int` | `getSellerPurchaseCount(long sellerId, boolean withPublicFeedbacksOnly, boolean completedOnly)`
    `static DbIterator<DigitalGoodsStore.Purchase>` | `getSellerPurchases(long sellerId, boolean withPublicFeedbacksOnly, boolean completedOnly, int from, int to)`
    `int` | `getTimestamp()`
    `boolean` | `goodsIsText()`
    `boolean` | `hasFeedbackNotes()`
    `boolean` | `hasPublicFeedbacks()`
    `boolean` | `isPending()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCount

          public static int getCount()

    - #### getCount

          public static int getCount(boolean withPublicFeedbacksOnly,
                                     boolean completedOnly)

    - #### getAllPurchases

          public static DbIterator<DigitalGoodsStore.Purchase> getAllPurchases(int from,
                                                                               int to)

    - #### getPurchases

          public static DbIterator<DigitalGoodsStore.Purchase> getPurchases(boolean withPublicFeedbacksOnly,
                                                                            boolean completedOnly,
                                                                            int from,
                                                                            int to)

    - #### getSellerPurchases

          public static DbIterator<DigitalGoodsStore.Purchase> getSellerPurchases(long sellerId,
                                                                                  boolean withPublicFeedbacksOnly,
                                                                                  boolean completedOnly,
                                                                                  int from,
                                                                                  int to)

    - #### getSellerPurchaseCount

          public static int getSellerPurchaseCount(long sellerId,
                                                   boolean withPublicFeedbacksOnly,
                                                   boolean completedOnly)

    - #### getBuyerPurchases

          public static DbIterator<DigitalGoodsStore.Purchase> getBuyerPurchases(long buyerId,
                                                                                 boolean withPublicFeedbacksOnly,
                                                                                 boolean completedOnly,
                                                                                 int from,
                                                                                 int to)

    - #### getBuyerPurchaseCount

          public static int getBuyerPurchaseCount(long buyerId,
                                                  boolean withPublicFeedbacksOnly,
                                                  boolean completedOnly)

    - #### getSellerBuyerPurchases

          public static DbIterator<DigitalGoodsStore.Purchase> getSellerBuyerPurchases(long sellerId,
                                                                                       long buyerId,
                                                                                       boolean withPublicFeedbacksOnly,
                                                                                       boolean completedOnly,
                                                                                       int from,
                                                                                       int to)

    - #### getSellerBuyerPurchaseCount

          public static int getSellerBuyerPurchaseCount(long sellerId,
                                                        long buyerId,
                                                        boolean withPublicFeedbacksOnly,
                                                        boolean completedOnly)

    - #### getGoodsPurchases

          public static DbIterator<DigitalGoodsStore.Purchase> getGoodsPurchases(long goodsId,
                                                                                 long buyerId,
                                                                                 boolean withPublicFeedbacksOnly,
                                                                                 boolean completedOnly,
                                                                                 int from,
                                                                                 int to)

    - #### getGoodsPurchaseCount

          public static int getGoodsPurchaseCount(long goodsId,
                                                  boolean withPublicFeedbacksOnly,
                                                  boolean completedOnly)

    - #### getPurchase

          public static DigitalGoodsStore.Purchase getPurchase(long purchaseId)

    - #### getPendingSellerPurchases

          public static DbIterator<DigitalGoodsStore.Purchase> getPendingSellerPurchases(long sellerId,
                                                                                         int from,
                                                                                         int to)

    - #### getExpiredSellerPurchases

          public static DbIterator<DigitalGoodsStore.Purchase> getExpiredSellerPurchases(long sellerId,
                                                                                         int from,
                                                                                         int to)

    - #### getId

          public long getId()

    - #### getBuyerId

          public long getBuyerId()

    - #### getGoodsId

          public long getGoodsId()

    - #### getSellerId

          public long getSellerId()

    - #### getQuantity

          public int getQuantity()

    - #### getPriceNQT

          public long getPriceNQT()

    - #### getDeliveryDeadlineTimestamp

          public int getDeliveryDeadlineTimestamp()

    - #### getNote

          public EncryptedData getNote()

    - #### isPending

          public boolean isPending()

    - #### getTimestamp

          public int getTimestamp()

    - #### getEncryptedGoods

          public EncryptedData getEncryptedGoods()

    - #### goodsIsText

          public boolean goodsIsText()

    - #### getRefundNote

          public EncryptedData getRefundNote()

    - #### hasFeedbackNotes

          public boolean hasFeedbackNotes()

    - #### getFeedbackNotes

          public java.util.List<EncryptedData> getFeedbackNotes()

    - #### hasPublicFeedbacks

          public boolean hasPublicFeedbacks()

    - #### getPublicFeedbacks

          public java.util.List<java.lang.String> getPublicFeedbacks()

    - #### getDiscountNQT

          public long getDiscountNQT()

    - #### getRefundNQT

          public long getRefundNQT()